diff -Naur -x '*.dia' -x '*.pcap' ns-3.31/src/applications/test/three-gpp-http-client-server-test.cc ns-3.32/src/applications/test/three-gpp-http-client-server-test.cc
--- ns-3.31/src/applications/test/three-gpp-http-client-server-test.cc	2020-06-27 17:38:30.000000000 -0700
+++ ns-3.32/src/applications/test/three-gpp-http-client-server-test.cc	2020-10-06 15:35:43.000000000 -0700
@@ -753,7 +753,7 @@
 void
 ThreeGppHttpObjectTestCase::ProgressCallback ()
 {
-  NS_LOG_INFO ("Simulator time now: " << Simulator::Now ().GetSeconds () << "s");
+  NS_LOG_INFO ("Simulator time now: " << Simulator::Now ().As (Time::S) << ".");
   Simulator::Schedule (Seconds (1.0), &ThreeGppHttpObjectTestCase::ProgressCallback, this);
 }
 
@@ -761,7 +761,7 @@
 ThreeGppHttpObjectTestCase::ClientRxDelayCallback (const Time &delay,
                                                    const Address &from)
 {
-  NS_LOG_FUNCTION (this << delay.GetSeconds () << from);
+  NS_LOG_FUNCTION (this << delay.As (Time::S) << from);
   m_delayCalculator->Update (delay.GetSeconds ());
 }
 
@@ -769,7 +769,7 @@
 ThreeGppHttpObjectTestCase::ClientRxRttCallback (const Time &rtt,
                                                  const Address &from)
 {
-  NS_LOG_FUNCTION (this << rtt.GetSeconds () << from);
+  NS_LOG_FUNCTION (this << rtt.As (Time::S) << from);
   m_rttCalculator->Update (rtt.GetSeconds ());
 }
 
@@ -867,7 +867,7 @@
   {
     std::ostringstream name;
     name << "Run #" << rngRun;
-    name << " delay=" << channelDelay.GetMilliSeconds () << "ms";
+    name << " delay=" << channelDelay.As (Time::MS);
     name << " ber=" << bitErrorRate;
     name << " mtu=" << mtuSize;
 
